JRuby: Viewing differences between revisions in a git repository fails the first time but works after
reloading the web page

2012-06-26 20:59 - Drazen Baic

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version: 2.0.3
Description

I'm running redmine 2.0.3 on a AIX 7.1 box with jruby and Java 7. Im am using git as SCM.

This is a new installation and so far everything is running without problems. However when | try to view differences between two
revisions for the first time | get an error like this:

Started GET "/pm/projects/sandbox_testprojektl/repository/diff?utf8=%E2%9C%93&rev=24977b211labbd9%f
73d01£3d5a917cca039%a50f6&rev_to=3db22041435c79e8741486298e2075c49eb2bf%e" for 10.106.20.134 at Tue
Jun 26 20:42:18 +0200 2012

2012-06-26 18:42:18 INFO: Processing by RepositoriesController#diff as HTML

2012-06-26 18:42:18 INFO: Parameters: {"utf8"=>"?", "rev"=>"24977b21llabbd9%ef73d01£f3d5a917ccal39%a
50f6", "rev_to"=>"3db22041435c79e8741486298e2075c49eb2bf9%e", "id"=>"sandbox_testprojektl"}
2012-06-26 18:42:18 INFO: Read fragment views/repositories/diff/14/26bf2f5cc6ea8bcdad90fc0c388b81lfa
a (1.0ms)

2012-06-26 18:42:19 INFO: Read fragment views/repositories/diff/14/26bf2f5cc6ea8bcdad90fc0c388b8lfa

a (0.0ms)

2012-06-26 18:42:19 INFO: Rendered common/_diff.html.erb (12.0ms)

2012-06-26 18:42:19 INFO: Write fragment views/repositories/diff/14/26bf2f5cc6ea8bcda90fc0c388b81f

aa (63.0ms)

2012-06-26 18:42:19 INFO: Rendered repositories/diff.html.erb within layouts/base (137.0ms)

2012-06-26 18:42:19 INFO: Completed 500 Internal Server Error in 317ms

2012-06-26 18:42:19 INFO:

ActionView: :Template::Error (stat.st_gid unsupported or native support failed to load):

13: </p>
14: <% end %>
15:

16: <% cache (@cache_key) do —-%>

17: <%= render :partial => 'common/diff', :locals => {:diff => @diff, :diff_type => @diff_type
>

18: <% end -%>

19:

app/views/repositories/diff.html.erb:16:in ' _app_views_repositories_diff_html_erb_ 22568976_209
2'

o©

}

When | reload the page it works without problems:

Started GET "/pm/projects/sandbox_testprojektl/repository/diff?utf8=%E2%9C%93&rev=24977b211labbd9ef
73d01£3d5a917ccal039%a50f6&rev_to=3db22041435¢c79e8741486298e2075c49eb2bf9%" for 10.106.20.134 at Tue
Jun 26 20:42:48 +0200 2012

2012-06-26 18:42:48 INFO: Processing by RepositoriesController#diff as HTML

2012-06-26 18:42:48 INFO: Parameters: {"utf8"=>"2", "rev"=>"24977b21labbd9%ef73d01f3d5a917ccal39%a
506", "rev_to"=>"3db22041435c79e8741486298e2075c49eb2bf9%e", "id"=>"sandbox_testprojektl"}
2012-06-26 18:42:48 INFO: Read fragment views/repositories/diff/14/26bf2f5ccbea8bcda90fc0c388b81lfa
a (2.0ms)

2012-06-26 18:42:48 INFO: Read fragment views/repositories/diff/14/26bf2f5cc6ea8bcdad90fc0c388b8lfa
a (0.0ms)

2012-06-26 18:42:48 INFO: Rendered repositories/diff.html.erb within layouts/base (13.0ms)
2012-06-26 18:42:48 INFO: Completed 200 OK in 344ms (Views: 232.0ms | ActiveRecord: 37.0ms)

and a file is generated in the cache directory:
$ cat tmp/cache/5A5/9F1/views%$2Frepositories%$2Fdiff%$2F14%2F26bf2f5cc6ea8bcda90£fc0c388b8lfaa
o: ActiveSupport::Cache::Entry :@expires_inO:@compressedF:
@value""R
<div class="autoscroll">
<table class="filecontent">
<thead>
<tr>
<th colspan="3" class="filename">
b/README. txt
</th>
</tr>
</thead>
<tbody>
<tr>
<th class="line-num"></th>
<th class="line-num">1</th>
<td class="line-code diff_in">
<pre>Einfach nur ein Text.
</pre>
</td>
</tr>
</tbody>
</table>
</div>

The error is the same when running the application with Webrick, Trindad or Apache Tomcat and with Java 6 and Java 7
Here are the version details:

$ oslevel -s
7100-01-03-1207

$ java -version

java version "1.7.0"

Java (TM) SE Runtime Environment (build pap3270srl1-20120330_01(SR1))

IBM J9 VM (build 2.6, JRE 1.7.0 AIX ppc-32 20120322_106209 (JIT enabled, AOT enabled)
J9VM - R26_Java726_SR1_20120322_1720_B106209

JIT - rl11_20120322_22976

GC - R26_Java726_SR1_20120322_1720_B106209

JOCL - 20120322_106209)

JCL - 20120322_01 based on Oracle 7u3-b05

$ jruby -v
jruby 1.6.7.2 (ruby-1.8.7-p357) (2012-05-01 26e08ba) (IBM J9 VM 1.7.0) [AIX-ppc-javal

$ git —--version
git version 1.7.10

History

#1 - 2012-06-27 03:20 - Toshi MARUYAMA

- Subject changed from Viewing differences between revisions in a git repository fails the first time but works after reloading the web page to JRuby:
Viewing differences between revisions in a git repository fails the first time but works after reloading the web page

#2 - 2018-10-09 15:05 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Wont fix

Jruby is no longer supported starting with Redmine 3.0.0.
